<template>
  <div class="card card-primary card-outline card-tabs">
    <div class="card-header p-0 pt-1 border-bottom-0">
      <ul class="nav nav-tabs" id="custom-tabs-three-tab" role="tablist">
        <li class="nav-item">
          <a class="nav-link active" id="custom-tabs-three-home-tab" data-toggle="pill" href="#custom-tabs-three-home"
             role="tab" aria-controls="custom-tabs-three-home" aria-selected="false">Основные поля</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="custom-tabs-three-profile-tab" data-toggle="pill"
             href="#custom-tabs-three-profile" role="tab" aria-controls="custom-tabs-three-profile"
             aria-selected="true">Seo</a>
        </li>
      </ul>
    </div>
    <div class="card-body" @change.prevent="CreateOffer">
      <!--      <div class="row">-->
      <!--        <input type="submit" value="сохранить" class="btn btn-primary" @click.prevent="CreateOffer">-->
      <!--      </div>-->
      <div class="tab-content" id="custom-tabs-three-tabContent">
        <div class="tab-pane fade active show" id="custom-tabs-three-home" role="tabpanel"
             aria-labelledby="custom-tabs-three-home-tab">
          <div class="card-body">
            <div class="row">
              <div class="form-group col-md-8">
                <label>Название</label>
                <input type="text" v-model="offerName" class="form-control" placeholder="Введите название">
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-8">
                <label>Выбрать период действия спецпредложения:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                  </div>
                  <input type="date" v-model="offerStartDate" class="form-control">
                  <input type="date" v-model="offerEndDate" class="form-control">
<!--                  <input type="text" id="datepicker" name="offerDate" v-model="offerDate" class="form-control">-->
                </div>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-8">
                <label>Тип</label>
                <select class="form-control" v-model="offerType">
                  <option value="A">А</option>
                  <option value="Б">Б</option>
                  <option value="И">В</option>
                </select>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-8">
                <label>Краткое описание</label>
                <input type="text" class="form-control" v-model="offerShortDescription" id="short_description"
                       placeholder="Введите название">
              </div>
            </div>
            <div class="row">
              <div class="col-md-8">
                <label>Полное описание</label>
                <vue-editor v-model="offerFullDescription"></vue-editor>
              </div>
            </div>
            <div class="row">
              <div class="col">
                <label>Статус</label>
                <br>
                <switches v-model="offerStatus" color="green"></switches>
              </div>
            </div>
            <div class="row">
              <div class="col-md-8">
                <a class="btn btn-info btn-sm mr-2"
                   href="https://moto-land.space/admin/offer">
                  Назад
                </a>
              </div>
            </div>
          </div>
        </div>
        <div class="tab-pane fade" id="custom-tabs-three-profile" role="tabpanel"
             aria-labelledby="custom-tabs-three-profile-tab">
          <div class="row">
            <div class="form-group col-md-8">
              <label>Title</label>
              <input type="text" class="form-control" v-model="offerTitle" id="email"
                     placeholder="Введите название">
            </div>
          </div>
          <div class="row">
            <div class="col-md-8">
              <div class="form-group">
                <label>Description</label>
                <textarea class="form-control" v-model="offerMetaDescription" rows="3"
                          placeholder="Enter ..."></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-8">
              <a class="btn btn-info btn-sm mr-2"
                 href="https://moto-land.space/admin/offer">
                Назад
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {VueEditor} from 'vue2-editor'
import Switches from 'vue-switches'

export default {
  name: "CreateComponent",
  components: {VueEditor, Switches},
  data() {
    return {
      offerName: null,
      offerStartDate: null,
      offerEndDate: null,
      offerShortDescription: null,
      offerFullDescription: null,
      offerType: 'A',
      offerStatus: false,
      offerTitle: null,
      offerMetaDescription: null,
    }
  },
  mounted() {
  },

  methods: {
    CreateOffer() {
      axios.post('/api/admin/offer',
          {
            name: this.offerName,
            date_start: this.offerStartDate,
            date_end: this.offerEndDate,
            short_description: this.offerShortDescription,
            full_description: this.offerFullDescription,
            type: this.offerType,
            status: this.offerStatus,
            title: this.offerTitle,
            meta_description: this.offerMetaDescription,
          })
          .then(res => {
            console.log(res.data)
          })
    },
  }
}
</script>
